package gconf2 3.2.3-3ubuntu1 failed to install/upgrade: ErrorMessage: subprocess installed post-installation script returned error exit status 250

Bug #948294 reported by emptythevoid on 2012-03-06
614
This bug affects 76 people
Affects Status Importance Assigned to Milestone
gconf (Ubuntu)
High
Steve Langasek

Bug Description

Recieved this error after upgrading from 11.10 to 12.04 beta 1 32 bit

ProblemType: Package
DistroRelease: Ubuntu 12.04
Package: gconf2 3.2.3-3ubuntu1
ProcVersionSignature: Ubuntu 3.2.0-18.28-generic 3.2.9
Uname: Linux 3.2.0-18-generic i686
NonfreeKernelModules: wl
ApportVersion: 1.94-0ubuntu2
Architecture: i386
Date: Tue Mar 6 11:46:17 2012
ErrorMessage: ErrorMessage: subprocess installed post-installation script returned error exit status 250
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta i386 (20110330)
SourcePackage: gconf
Title: package gconf2 3.2.3-3ubuntu1 failed to install/upgrade: ErrorMessage: subprocess installed post-installation script returned error exit status 250
UpgradeStatus: Upgraded to precise on 2012-03-06 (0 days ago)

emptythevoid (emptythevoid) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gconf (Ubuntu):
status: New → Confirmed
Changed in gconf (Ubuntu):
importance: Undecided → High
assignee: nobody → Steve Langasek (vorlon)
Charles Profitt (cprofitt) wrote :

Same issue on x86_64 as well. Marked my auto-generated bug as a duplicate.

Steve Langasek (vorlon) on 2012-03-09
Changed in gconf (Ubuntu):
status: Confirmed → Triaged
tags: added: rls-p-tracking
Steve Langasek (vorlon) wrote :

This bug is caused by the recent package split of libgconf2-4 into libgconf-2-4 and gconf-service. This upgrade includes a Breaks: on the old version of libgconf2-4 by libgconf-2-4, which ensures that libgconf2-4 is deconfigured before libgconf-2-4 is unpacked on upgrade. However, this does *not* ensure that gconf2 is deconfigured when the new libgconf-2-4 or libgconf2-4 is unpacked, so its trigger may still fire, even though the files it relies on are either no longer on disk (if libgconf2-4 has been unpacked without libgconf-2-4) or not where they're expected (if libgconf-2-4 is unpacked without gconf-service).

We need to ensure that the gconf2 trigger is *only* called under the following circumstances:

 * new libgconf2-4 not yet unpacked, new libgconf-2-4 not yet unpacked
 * new libgconf-2-4 unpacked, new gconf-service unpacked

To achieve this, we can have the new libgconf-2-4 and libgconf2-4 packages both declare a Breaks on the old gconf2 version. This forces gconf2 to be deconfigured when either of these new packages is unpacked, and remain deconfigured until both libgconf-2-4 and gconf-service are configured (since gconf2 already has a dependency on both of them).

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gconf - 3.2.4-0ubuntu2

---------------
gconf (3.2.4-0ubuntu2) precise; urgency=low

  * libgconf2-4 and libgconf-2-4 should both have a Breaks: against the
    older version of gconf2, to ensure that our trigger is never called
    when gconftool is in an unusable state (due to either missing libraries
    or missing backend DSOs). LP: #948294.
 -- Steve Langasek <email address hidden> Thu, 08 Mar 2012 17:40:24 -0800

Changed in gconf (Ubuntu):
status: Triaged → Fix Released
Luis Santos (lfdias-santos) wrote :

Thanks allot for the detailed information.

This is very good but like many of the people that I know, we do not understand Linux programming. I did not understand what is the solution you presented. Will it be solved on the final release?

Thanks

I don't know, since I'm not involved in this process.
Just filed bug-reports Ubuntu 12.4 beta ask me to do after upgrading.

Best

On 03/09/2012 04:37 PM, Luis Santos wrote:
> Thanks allot for the detailed information.
>
> This is very good but like many of the people that I know, we do not
> understand Linux programming. I did not understand what is the solution
> you presented. Will it be solved on the final release?
>
> Thanks
>

Olivier Cortès (olive) wrote :

Luis, Andreas,

since the package has been uploaded to precise, it *will* be included in the final release, because it replaces the faulty one.

regards,

seeker5528 (seeker5528) wrote :

With the most recent update attempt, I get this now....

dpkg: dependency problems prevent configuration of gconf2:
 gconf2 depends on gconf-service (= 3.2.4-0ubuntu2); however:
  Version of gconf-service on system is 3.2.5-0ubuntu1.
dpkg: error processing gconf2 (--configure):
 dependency problems - leaving unconfigured

Steve Langasek (vorlon) wrote :

seeker5528, please provide a full copy of /var/log/apt/term.log for the affected system.

glaxeanf (glaxeanf) wrote :
Download full text (90.6 KiB)

Hello sending the vopy of file (please provide a full copy of /var/log/apt/term.log for the
affected system)

This is the content of the file

Log started: 2012-03-01 19:33:35
(Reading database ...
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 346903 files and directories currently installed.)
Preparing to replace multisystem 1.0185 (using .../multisystem_1.0191_all.deb) ...

Unpacking replacement multisystem ...
Preparing to replace screenlets 0.1.7~bzr772+20120211044010~oneiric1 (using .../screenlets_0.1.7~bzr773+20120228103604~oneiric1_all.deb) ...
Unpacking replacement screenlets ...
Preparing to replace screenlets-pack-all 0.1.7~bzr1152+20120223050008~oneiric1 (using .../screenlets-pack-all_0.1.7~bzr1154+20120228103336~oneiric1_all.deb) ...
Unpacking replacement screenlets-pack-all ...
Preparing to replace ubuntuone-couch 0.3.0-0ubuntu2 (using .../ubuntuone-couch_0.3.0-0ubuntu2.1_all.deb) ...
Unpacking replacement ubuntuone-couch ...
Processing triggers for bamfdaemon ...
Rebuilding /usr/share/applications/bamf.index...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Processing triggers for menu ...
Processing triggers for python-support ...
Processing triggers for man-db ...
Processing triggers for hicolor-icon-theme ...
Processing triggers for gconf2 ...
Setting up multisystem (1.0191) ...
Setting up screenlets (0.1.7~bzr773+20120228103604~oneiric1) ...
Setting up screenlets-pack-all (0.1.7~bzr1154+20120228103336~oneiric1) ...
Setting up ubuntuone-couch (0.3.0-0ubuntu2.1) ...
Processing triggers for menu ...
Processing triggers for python-support ...
Log ended: 2012-03-01 19:35:42

Log started: 2012-03-04 07:20:24
(Reading database ...
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 346902 files and directories currently installed.)
Preparing to replace multisystem 1.0191 (using .../multisystem_1.0194_all.deb) ...

Unpacking replacement multisystem ...
Preparing to replace screenlets 0.1.7~bzr773+20120228103604~oneiric1 (using .../screenlets_0.1.7~bzr780+20120303050948~oneiric1_all.deb) ...
Unpacking replacement screenlets ...
Preparing to replace screenlets-pack-all 0.1.7~bzr1154+20120228103336~oneiric1 (using .../scree...

shookees (shookees) wrote :
Download full text (96.1 KiB)

next time, pleast attach a file instead of putting everything in one message

On 13 March 2012 13:13, glaxeanf <email address hidden> wrote:

> Hello sending the vopy of file (please provide a full copy of
> /var/log/apt/term.log for the
> affected system)
>
> This is the content of the file
>
> Log started: 2012-03-01 19:33:35
> (Reading database ...
> (Reading database ... 5%
> (Reading database ... 10%
> (Reading database ... 15%
> (Reading database ... 20%
> (Reading database ... 25%
> (Reading database ... 30%
> (Reading database ... 35%
> (Reading database ... 40%
> (Reading database ... 45%
> (Reading database ... 50%
> (Reading database ... 55%
> (Reading database ... 60%
> (Reading database ... 65%
> (Reading database ... 70%
> (Reading database ... 75%
> (Reading database ... 80%
> (Reading database ... 85%
> (Reading database ... 90%
> (Reading database ... 95%
> (Reading database ... 100%
> (Reading database ... 346903 files and directories currently installed.)
> Preparing to replace multisystem 1.0185 (using
> .../multisystem_1.0191_all.deb) ...
>
> Unpacking replacement multisystem ...
> Preparing to replace screenlets 0.1.7~bzr772+20120211044010~oneiric1
> (using .../screenlets_0.1.7~bzr773+20120228103604~oneiric1_all.deb) ...
> Unpacking replacement screenlets ...
> Preparing to replace screenlets-pack-all
> 0.1.7~bzr1152+20120223050008~oneiric1 (using
> .../screenlets-pack-all_0.1.7~bzr1154+20120228103336~oneiric1_all.deb) ...
> Unpacking replacement screenlets-pack-all ...
> Preparing to replace ubuntuone-couch 0.3.0-0ubuntu2 (using
> .../ubuntuone-couch_0.3.0-0ubuntu2.1_all.deb) ...
> Unpacking replacement ubuntuone-couch ...
> Processing triggers for bamfdaemon ...
> Rebuilding /usr/share/applications/bamf.index...
> Processing triggers for desktop-file-utils ...
> Processing triggers for gnome-menus ...
> Processing triggers for menu ...
> Processing triggers for python-support ...
> Processing triggers for man-db ...
> Processing triggers for hicolor-icon-theme ...
> Processing triggers for gconf2 ...
> Setting up multisystem (1.0191) ...
> Setting up screenlets (0.1.7~bzr773+20120228103604~oneiric1) ...
> Setting up screenlets-pack-all (0.1.7~bzr1154+20120228103336~oneiric1) ...
> Setting up ubuntuone-couch (0.3.0-0ubuntu2.1) ...
> Processing triggers for menu ...
> Processing triggers for python-support ...
> Log ended: 2012-03-01 19:35:42
>
> Log started: 2012-03-04 07:20:24
> (Reading database ...
> (Reading database ... 5%
> (Reading database ... 10%
> (Reading database ... 15%
> (Reading database ... 20%
> (Reading database ... 25%
> (Reading database ... 30%
> (Reading database ... 35%
> (Reading database ... 40%
> (Reading database ... 45%
> (Reading database ... 50%
> (Reading database ... 55%
> (Reading database ... 60%
> (Reading database ... 65%
> (Reading database ... 70%
> (Reading database ... 75%
> (Reading database ... 80%
> (Reading database ... 85%
> (Reading database ... 90%
> (Reading database ... 95%
> (Reading database ... 100%
> (Reading database ... 346902 files and directories currently installed.)
> Preparing to replace multisystem 1.0191 (using
> .../multisystem_1.0194_all.deb) ...
>
> Unp...

On 03/13/2012 12:02 PM, Steve Langasek wrote:
> seeker5528, please provide a full copy of /var/log/apt/term.log for the
> affected system.
>

Steve Langasek (vorlon) wrote :

The request for log files was directed at seeker5528, who was reporting that there's still a bug with the current version of the package. Please don't send log files if you're not experiencing an upgrade bug with the latest version!

seeker5528 (seeker5528) wrote :

Sorry about not keeping up on this, had to give up the system this was happening as a loaner for a little bit.

I'm attaching the last term.log file where this was failing.

I finally got around it by looking at the installed gconf stuff to come up with this:

dpkg --purge --force-depends libgconf-2.4 libgconf-2.6-1c2 libgconf2.0-cil libgconf2-4 gconf-service-backend gconf-service gconf-defaults-service gconf2-common gconf2

: after that I was able to do 'apt-get -f install' and the necessarry gconf stuff was pulled in and installed correctly.

Steve Langasek (vorlon) wrote :

seeker5528, it looks like the issue you ran into was bug #962854, which has also now been fixed.

Walter Chandler (chwc47) wrote : hey

this is pretty amazing you should give it a look http://www.panews15.net/biz/?news=2383718

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers